Package org.eclipse.birt.chart.extension.datafeed

# Class BubbleEntry

java.lang.Object
org.eclipse.birt.chart.datafeed.NumberDataPointEntry
org.eclipse.birt.chart.extension.datafeed.BubbleEntry

All Implemented Interfaces:
  `IDataPointEntry`

public final class BubbleEntry extends NumberDataPointEntry
BubbleEntry

## Constructor Summary

Constructors
Constructor
Description
`BubbleEntry(Object value, Object size)`
The constructor.
`BubbleEntry(Object value, Object size, int index)`
The constructor.

## Method Summary

Modifier and Type
Method
Description
`com.ibm.icu.math.BigDecimal`
`getDivisor()`
Returns divisor of big number.
`String`
`getFormattedString(String type, FormatSpecifier formatter, com.ibm.icu.util.ULocale locale)`
Returns the formatted string representation of current object by given formatter and locale.
`String`
`getFormattedString(FormatSpecifier formatter, com.ibm.icu.util.ULocale locale)`
Returns the formatted string representation of current object by given formatter and locale.
`Number[]`
`getNumberData()`
Gets number data from data set.
`double`
`getSize()`
`Number`
`getSizeNumber()`
`Object`
`getValue()`
`boolean`
`isBigNumber()`
Checks if the value is big number.
`boolean`
`isValid()`
Returns if the DataPointEntry is valid.
`void`
`setNumberData(Number[] data)`
Sets number data into data set.
`void`
`setSize(double dSize)`
`void`
`setSize(Number size)`
`void`
`setValue(Object value)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BubbleEntry

public BubbleEntry(Object value, Object size, int index)
The constructor.

Parameters:
  `value` - value could be any type or null. Value will represent a category entry with the specified index.
  `size` - size could be Number or null. Null means this entry will be omitted
  `index` - index for category value. Starting with 1

### BubbleEntry

public BubbleEntry(Object value, Object size)
The constructor.

Parameters:
  `value` - value could be Number, String, CDateTime or null. Null means this entry will be omitted.
  `size` - size could be Number or null. Null means this entry will be omitted

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getValue

public Object getValue()

Returns:
  Returns the Object value.

### setValue

public void setValue(Object value)

Parameters:
  `value` - The value to set.

### getSize

public double getSize()

Returns:
  Returns the size.

### getSizeNumber

public Number getSizeNumber()

### setSize

public void setSize(double dSize)

Parameters:
  `end` - The size to set.

### setSize

public void setSize(Number size)

### getFormattedString

public String getFormattedString(String type, FormatSpecifier formatter, com.ibm.icu.util.ULocale locale)
Description copied from interface: `IDataPointEntry`
Returns the formatted string representation of current object by given formatter and locale.

Parameters:
  `type` - data point type
  `formatter` - An formatter
  `locale` - Specific locale.
Returns:
  The string representation
See Also:
  - `#getDataPointTypes()`

### getFormattedString

public String getFormattedString(FormatSpecifier formatter, com.ibm.icu.util.ULocale locale)
Description copied from interface: `IDataPointEntry`
Returns the formatted string representation of current object by given formatter and locale.

Parameters:
  `formatter` - An formatter
  `locale` - Specific locale.
Returns:
  The string representation

### isValid

public boolean isValid()
Description copied from interface: `IDataPointEntry`
Returns if the DataPointEntry is valid.

Returns:
  value or not

### isBigNumber

public boolean isBigNumber()
Checks if the value is big number.

Returns:

### getDivisor

public com.ibm.icu.math.BigDecimal getDivisor()
Returns divisor of big number.

Returns:

### setNumberData

public void setNumberData(Number[] data)
Description copied from class: `NumberDataPointEntry`
Sets number data into data set.

Specified by:
  `setNumberData` in class `NumberDataPointEntry`

### getNumberData

public Number[] getNumberData()
Description copied from class: `NumberDataPointEntry`
Gets number data from data set.

Specified by:
  `getNumberData` in class `NumberDataPointEntry`
Returns: